using NPin.Domain.Shared;
using NPin.Framework.AuditLogging.Domain;
using NPin.Framework.Mapster;
using NPin.Framework.TenantManagement.Domain;
using Volo.Abp.Caching;
using Volo.Abp.Domain;

namespace NPin.Domain;

[DependsOn(
    typeof(NPinDomainSharedModule),
    //
    typeof(NPinFrameworkTenantManagementDomainModule),
    // TODO Rbac
    // TODO Bbs
    typeof(NPinFrameworkAuditLoggingDomainModule),
    //
    typeof(NPinFrameworkMapsterModule),
    typeof(AbpDddDomainModule),
    typeof(AbpCachingModule)
)]
public class NPinDomainModule : AbpModule
{
}